# FoundationClasses
TKernel
Message

# Message_ProgressSentry Class Reference

This class is a tool allowing to manage opening/closing
scopes in the ProgressIndicator in convenient and safe way.
.

`#include <Message_ProgressSentry.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Message_ProgressSentry (const Handle(Message_ProgressIndicator)&PI, const Standard_CString name, const Standard_Real min, const Standard_Real max, const Standard_Real step, const Standard_Boolean isInf=Standard_False, const Standard_Real newScopeSpan=0.0)
Standard_EXPORT | Message_ProgressSentry (const Handle(Message_ProgressIndicator)&PI, const Handle(TCollection_HAsciiString)&name, const Standard_Real min, const Standard_Real max, const Standard_Real step, const Standard_Boolean isInf=Standard_False, const Standard_Real newScopeSpan=0.0)
| Creates an instance of ProgressSentry attaching it to the specified ProgressIndicator, selects parameters of the current scale, and opens a new scope with specified span (equal to step by default) .
void | EndScope ()
| Closes currently opened scope (if any) .
| ~Message_ProgressSentry ()
void | NextScope () const
void | Next () const
void | NextScope (const Standard_Real span) const
| Closes current scope and opens next one with either specified or default span .
void | Next (const double span) const
Standard_Boolean | More () const
| Returns False if ProgressIndicator signals UserBreak .

## Private Attributes

Handle_Message_ProgressIndicator | myProgress
Standard_Boolean | myActive

## Constructor & Destructor Documentation

Standard_EXPORT Message_ProgressSentry::Message_ProgressSentry | ( | const Handle(Message_ProgressIndicator)& | PI,
|  | const Standard_CString | name,
|  | const Standard_Real | min,
|  | const Standard_Real | max,
|  | const Standard_Real | step,
|  | const Standard_Boolean | isInf = `Standard_False`,
|  | const Standard_Real | newScopeSpan = `0.0`
| ) |

Standard_EXPORT Message_ProgressSentry::Message_ProgressSentry | ( | const Handle(Message_ProgressIndicator)& | PI,
|  | const Handle(TCollection_HAsciiString)& | name,
|  | const Standard_Real | min,
|  | const Standard_Real | max,
|  | const Standard_Real | step,
|  | const Standard_Boolean | isInf = `Standard_False`,
|  | const Standard_Real | newScopeSpan = `0.0`
| ) |

Message_ProgressSentry::~Message_ProgressSentry | ( |  | ) | `[inline]`

## Member Function Documentation

void Message_ProgressSentry::EndScope | ( |  | ) | `[inline]`

Standard_Boolean Message_ProgressSentry::More | ( |  | ) | const`[inline]`

void Message_ProgressSentry::Next | ( | const double | span | ) | const`[inline]`

void Message_ProgressSentry::Next | ( |  | ) | const`[inline]`

void Message_ProgressSentry::NextScope | ( | const Standard_Real | span | ) | const`[inline]`

void Message_ProgressSentry::NextScope | ( |  | ) | const`[inline]`

void Message_ProgressSentry::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Message_ProgressSentry::operator new | ( | size_t | size | ) | `[inline]`

void* Message_ProgressSentry::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

Standard_Boolean Message_ProgressSentry::myActive `[private]`

Handle_Message_ProgressIndicator Message_ProgressSentry::myProgress `[private]`

The documentation for this class was generated from the following files:

- Message_ProgressSentry.hxx
- Message_ProgressSentry.lxx